Bug 530180 - nc-config multilib conflict
Summary: nc-config multilib conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netcdf
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ed Hill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 19:53 UTC by Jim Radford
Modified: 2009-11-24 08:00 UTC (History)
4 users (show)

Fixed In Version: 4.0.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 08:00:36 UTC


Attachments (Terms of Use)

Description Jim Radford 2009-10-21 19:53:54 UTC
I just started getting these conflicts between the x86_64 and i586 version of netcdf.

  file /usr/share/info/netcdf-c.info.gz from install of netcdf-4.0.1-1.fc11.x86_64 conflicts with file from package netcdf-4.0.0-2.fc11.i586
  file /usr/share/info/netcdf-cxx.info.gz from install of netcdf-4.0.1-1.fc11.x86_64 conflicts with file from package netcdf-4.0.0-2.fc11.i586

I assume there is no substantial difference and that the two packages can be made compatible by preserving the timestamps on these.

Comment 1 Orion Poplawski 2009-10-22 18:14:18 UTC
Looks like maybe your mirror is out of sync?  Note the version differences.  I see update versions available though:

# yum list netcdf\*
Loaded plugins: downloadonly, refresh-packagekit
Installed Packages
netcdf.x86_64                                   4.0.0-2.fc11                          installed
netcdf-decoders.x86_64                          5.0.0-4.fc11                          installed
netcdf-devel.x86_64                             4.0.0-2.fc11                          installed
Available Packages
netcdf.i586                                     4.0.1-1.fc11                          updates
netcdf.x86_64                                   4.0.1-1.fc11                          updates
netcdf-devel.i586                               4.0.1-1.fc11                          updates
netcdf-devel.x86_64                             4.0.1-1.fc11                          updates
netcdf-perl.x86_64                              1.2.3-9.fc11                          fedora
netcdf-static.x86_64                            4.0.1-1.fc11                          updates

Not sure why the i586 version isn't getting updated.  Would need more output from yum.

Comment 2 Jim Radford 2009-10-23 22:59:27 UTC
You are right.  Maybe my mirrors were out of date?  However, I still get this error with the current versions.

file /usr/bin/nc-config conflicts between attempted installs of netcdf-4.0.1-1.fc11.x86_64 and netcdf-4.0.1-1.fc11.i586

Comment 3 Jim Radford 2009-10-23 23:01:01 UTC
> file /usr/bin/nc-config

Should that be in the -devel package?

Comment 4 Fedora Update System 2009-10-27 18:17:32 UTC
netcdf-4.0.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/netcdf-4.0.1-2.fc11

Comment 5 Fedora Update System 2009-10-29 03:01:30 UTC
netcdf-4.0.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netcdf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10889

Comment 6 Fedora Update System 2009-11-05 16:51:50 UTC
netcdf-4.0.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/netcdf-4.0.1-3.fc11

Comment 7 Fedora Update System 2009-11-07 00:21:31 UTC
netcdf-4.0.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netcdf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11107

Comment 8 Fedora Update System 2009-11-24 08:00:31 UTC
netcdf-4.0.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.